Download it now!
Bug 130517 - Button in Print dialog box should say "Print" instead of "OK"
Summary: Button in Print dialog box should say "Print" instead of "OK"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: sdc.blanco
URL:
Whiteboard: target:7.0.0
Keywords: needsUXEval
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2020-02-07 21:18 UTC by sdc.blanco
Modified: 2020-02-21 11:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-02-07 21:18:14 UTC
Here is a patch for the proposed change.
https://gerrit.libreoffice.org/c/core/+/88212
Comment 1 Gabor Kelemen 2020-02-13 10:46:26 UTC
For the record, until LO 3.6 this was the case. Only since 4.0 is the button a simple OK.
Comment 2 sdc.blanco 2020-02-13 18:32:35 UTC
(In reply to Gabor Kelemen from comment #1)
> Only since 4.0 is the button a simple OK.
Interesting. Temporally consistent with first entry in git history for printdialog.ui: 

# 87b5cdd5  10-Sep-2012
convert writer, draw, impress, calc and starmath printer dialogs
to new-style widget layout mostly described in .ui format

which suggests that "print" became "OK" for an unintended "generic" reason.
Comment 3 Heiko Tietze 2020-02-19 07:03:15 UTC
Well, I don't see a reason why it shouldn't be "Print".
Comment 4 Commit Notification 2020-02-21 11:19:09 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5c3604542191b3c69da2d9d912c5c5a20c7143e9

tdf#130517 improve accelerators on Print dialog page

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.